For the complete documentation index, see llms.txt. This page is also available as Markdown.

Memory

Store Memory

Store Memory

post
Header parameters
correlation-idstringRequired
Body
collection_namestringRequired
dataobject · DataRequired
Responses
200

Successful Response

application/json
messagestringRequired
post/memory
POST /memory HTTP/1.1
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "collection_name": "text",
  "data": {}
}
{
  "message": "text"
}

Retrieve Memory

Retrieve Memory

get
Query parameters
collection_namestringRequired
querystringRequired
top_kinteger · nullableOptionalDefault: 5
Header parameters
correlation-idstringRequired
Responses
200

Successful Response

application/json
resultsobject[]Required
get/memory
GET /memory?collection_name=text&query=text HTTP/1.1
correlation-id: text
Accept: */*
{
  "results": [
    {}
  ]
}

Update Memory

Update Memory

patch
Header parameters
correlation-idstringRequired
Body
collection_namestringRequired
dataobject · DataRequired
Responses
200

Successful Response

application/json
messagestringRequired
patch/memory
PATCH /memory HTTP/1.1
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "collection_name": "text",
  "data": {}
}
{
  "message": "text"
}

Delete Memory

Delete Memory

delete
Header parameters
correlation-idstringRequired
Body
collection_namestringRequired
match_criteriaobject · Match CriteriaRequired
Responses
200

Successful Response

application/json
messagestringRequired
delete/memory
DELETE /memory HTTP/1.1
correlation-id: text
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "collection_name": "text",
  "match_criteria": {}
}
{
  "message": "text"
}

List Collections

Get Collection Info

Last updated